*, ::after, ::before {
  box-sizing: border-box;
}
body {
 
  background-color: #f0f0f0; 
}

main {
  
  padding: 80px 0;
}

.main-page-label {
  font-weight: bold;
  padding: 10px 30px;
  max-width: 900px;
  font-size: x-large;
  text-align: left;
  margin: auto;
  color: #333; 
}

.conversations-container {
  padding: 20px;
  display: flex;
  flex-direction: row;
  max-width: 900px;
  margin: 50px auto;
  background-color: #fff;
  border-radius: 5px; /* Reduced border radius */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  position: relative;
}

@media only screen and (width < 940px) {
.chats-container {
  margin: 50px 20px;
}
}

.modal-open {
overflow: hidden; 
}

.all-conversations-previews-container {
  
  width: 30%;
  height: 700px;
  margin-left: 5%;
  padding: 20px;
  background-color: #fff;
  border-radius: 5px; /* Reduced border radius */
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  position: relative;
}

.conversations-label {
  margin-left: 5px;
  font-size: 15px;
  font-weight: 550;
  white-space: nowrap; 
  overflow: hidden; 
  text-overflow: ellipsis; 
  color: #333; /* Dark gray text */
}

.conversations-previews {
height: 310px;
max-height: 310px;
overflow-y: auto;
display: flex;
flex-direction: column;
}

.conversation-preview {
display: flex;
flex-direction: row;
align-items: center;
justify-content: center;
position: relative;
height: 50px;
width: 70%;
align-self: start;
padding: 10px;
margin-bottom: 15px;
background-color: #000000; /* Gray background */
border-radius: 5px; /* Reduced border radius */
box-shadow: 0 0 1px rgba(0, 0, 0, 0.1);
}

.conversation-preview-selected {
background-color: #aaa; /* Slightly darker gray */
}

.conversation-name-container {
font-size: 14px;
color: #fff; /* White text */
padding: 10px;
white-space: nowrap; 
overflow: hidden; 
text-overflow: ellipsis; 
}

.conversation-preview:hover {
cursor: pointer;
background-color: #bbb; /* Slightly lighter gray on hover */
}

.conversation-preview.conversation-preview-selected:hover {
cursor: pointer;
background-color: #999; /* Darker gray on hover when selected */
}

.create-conversation-blur {
background-color: rgba(0, 0, 0, 0.8);
position: absolute;
left: 0;
top: 0;
width: 100%;
height: 100%;
z-index: 999998;
display: none;
}

.create-conversation-modal-container {
width: 70%;
height: 70%;
padding: 30px;
background-color: #fff;
border-radius: 5px; /* Reduced border radius */
box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
position: absolute;
left: 15%;
top: 15%;
z-index: 999999;
overflow: auto;
display: none;
}

.text-input-label {
font-weight: bolder; 
margin-top: 20px;
margin-bottom: 0;
white-space: nowrap; 
overflow: hidden; 
text-overflow: ellipsis; 
color: #333; /* Dark gray text */
}

.text-input {
min-width: 150px;
width: calc(100%); 
padding: 8px; 
border: 1px solid #aaa; /* Gray border */
border-radius: 5px; /* Reduced border radius */
font-size: 14px;
margin-top: 20px;
margin-bottom: 30px;
}

.text-input:focus {
outline: none; 
border-color: #333; /* Dark gray on focus */
}

.users-label {
margin-left: 5px;
font-size: 15px;
font-weight: 600;
white-space: nowrap; 
overflow: hidden; 
text-overflow: ellipsis; 
color: #333; /* Dark gray text */
}

.all-users-container {
width: 100%;
height: 300px;
padding: 20px;
background-color: #fff;
border-radius: 5px; /* Reduced border radius */
box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
position: relative;
overflow: auto;
}

.users-previews {
  max-height: 300px;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
}

.user-preview {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  position: relative;
  height: 50px;
  width: 90%;
  align-self: center;
  padding: 10px;
  margin-bottom: 15px;
  background-color: #ccc; /* Gray background */
  border-radius: 5px; /* Reduced border radius */
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.1);
}

.user-preview-selected {
background-color: #aaa; /* Slightly darker gray */
}

.user-preview-img {
  height: 30px;
  border-radius: 50%;
}

.user-full-name-container {
  font-size: 14px;
  color: #fff; /* White text */
  padding: 10px;
  white-space: nowrap; 
  overflow: hidden; 
  text-overflow: ellipsis; 
}

.user-preview:hover {
  cursor: pointer;
  background-color: #bbb; /* Slightly lighter gray on hover */
}

.user-preview.user-preview-selected:hover {
cursor: pointer;
background-color: #999; /* Darker gray on hover when selected */
}

.current-conversation-container {
  opacity: 0; /* Change to 1 if user chooses the chat */
  width: 65%;
  padding: 20px;
  background-color: #fff;
  border-radius: 5px; /* Reduced border radius */
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
}

.current-conversation-messages {
  display: flex;
  flex-direction: column;
  height: 300px;
  max-height: 300px;
  overflow-y: auto;
  padding: 10px;
  border: 1px solid #aaa; /* Gray border */
  border-radius: 5px; /* Reduced border radius */
}

#message-input {
  width: calc(100% - 90px);
  padding: 10px;
  margin-top: 10px;
  font-size: 14px;
  border: 1px solid #aaa; /* Gray border */
  border-radius: 5px; /* Reduced border radius */
}

#send-button {
  width: 80px;
  padding: 10px;
  margin-top: 10px;
  font-size: 14px;
  border: none;
  background-color: #333; /* Dark gray background */
  color: #fff; /* White text */
  border-radius: 5px; /* Reduced border radius */
  cursor: pointer;
}

#send-button:hover {
  background-color: #555; /* Slightly lighter gray on hover */
}

.interlocutor-message-container {
  display: flex;
  flex-direction: row;
  max-width: 400px;
  margin-bottom: 10px;
  align-self: flex-start; 
}

.interlocutor-message-profile-pic {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  align-self: flex-end; 
  order: 1;
  margin-bottom: 12px;
  margin-right: 8px;
}

.interlocutor-message {
  position: relative;
  display: flex;
  flex-direction: column;
  word-wrap: break-word;
  background-color: #e0e0e0; /* Light gray background */
  color: #333; /* Dark gray text */
  border-radius: 5px; /* Reduced border radius */
  padding: 8px 12px;
  font-size: 13px;
  align-self: flex-end; 
  order: 2;
  max-width: 200px; 
}

.interlocutor-message::before {
  display: block;
  content: attr(first-name); 
  position: absolute;
  width: 33px;
  bottom: -2px; 
  left: -25px;
  transform: translateX(-50%);
  font-size: 8px; 
  text-align: center;
  color: #333; /* Dark gray text */
  white-space: nowrap; 
  overflow: hidden; 
  text-overflow: ellipsis; 
}

.current-user-message-container {
  display: flex;
  flex-direction: row;
  max-width: 400px;
  margin-bottom: 5px;
  align-self: flex-end; 
}

.current-user-message {
  display: flex;
  flex-direction: column;
  word-wrap: break-word;
  background-color: #888; /* Gray background */
  color: #fff; /* White text */
  border-radius: 5px; /* Reduced border radius */
  padding: 8px 12px;
  font-size: 13px;
  align-self: flex-end; 
  order: 1;
  max-width: 200px;
}

.current-user-message-profile-pic {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  align-self: flex-end; 
  order: 2;
  margin-bottom: 5px;
  margin-left: 8px;
}

.message-time {
  align-self: flex-end;
  color: #555; /* Medium gray text */
  font-size: 10px;
}

@media only screen and (width < 600px) {
  .interlocutor-message-profile-pic {
    height: 25px;
    width: 25px;
  }

  .interlocutor-message {
    font-size: 12px;
    max-width: 150px;
  }

  .interlocutor-message::before {
    width: 27px;
    left: -18px;
    font-size: 7px; 
  }

  .current-user-message {
    font-size: 12px;
    max-width: 150px;
  }

  .current-user-message-profile-pic {
    height: 25px;
    width: 25px;
  }
}

.create-new-conversation-btn {
  position: absolute;
  bottom: -65px;
  right: 10px; /* Move the button to the right side */
  left: auto; /* Ensure left is not affecting positioning */
  appearance: none;
  background-color: #333; /* Dark gray background */
  border-radius: 5px; /* Reduced border radius */
  border-width: 0;
  color: #fff; /* White text */
  cursor: pointer;
  height: 48px;
  line-height: 1;
  padding-left: 16px;
  padding-right: 16px;
  text-align: center;
  text-decoration: none;
  transition: background-color 0.3s, transform 0.15s;
  user-select: none;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
}

  
  .create-new-conversation-btn:focus {
  outline: none;
  }
  
  .create-new-conversation-btn:hover {
  background-color: #555; /* Slightly lighter gray on hover */
  }
  
  .create-new-conversation-btn:active {
  background-color: #777; /* Darker gray on active */
  transform: translateY(2px);
  }
  

#create-new-conversation-modal-btn, #edit-conversation-modal-btn {
width: 90px;
height: 50px;
bottom: calc(15% - 65px);
left: calc(85% - 90px);
z-index: 999999;
display: none;
}

.close-btn {
position: absolute;
top: 10px;
right: 15px;
font-size: 20px;
cursor: pointer;
color: #888; /* Medium gray text */
}

.close-btn:hover {
color: #000; /* Black text on hover */
}

.edit-conversation-button {
position: absolute;
right: -40%;
top: 10px; 
width: 30%;
padding: 5px 10px; 
background-color: transparent; 
color: black; 
border: 1px solid black; 
border-radius: 5px;
cursor: pointer; 
transition: background-color 0.3s ease; 
font-size: 12px;
}

.edit-conversation-button:hover {
  background-color: #5e89b7; /* Darker gray on hover */
}

@media only screen and (width < 800px) {
.edit-conversation-button {
  display: none;
}

.conversation-preview {
  width: 100%;
}
}
